Bug 237336 - Review Request: perl-Crypt-OpenSSL-X509 -- Perl OpenSSL bindings for X509 support
Review Request: perl-Crypt-OpenSSL-X509 -- Perl OpenSSL bindings for X509 su...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 16:37 EDT by Wes Hardaker
Modified: 2014-09-17 02:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 19:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:37:14 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509.spec
Description:  A Perl wrapper around OpenSSL's X509 library.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).
Comment 2 Wes Hardaker 2007-05-08 16:59:08 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509-0.4-2.src.rpm


- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib

Comment 3 Wes Hardaker 2007-05-14 20:38:12 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-X509-0.4-3.src.rpm

- BuildRequire perl(Test::More) perl(Test::Pod)
- Fixed source code URL
Comment 4 Jason Tibbitts 2007-05-26 17:18:04 EDT
Not much to say here; everything looks good.  The only oddify is this:

Checking if your kit is complete...
Warning: the following files are missing in your kit:
        inc
        inc/Module
        inc/Module/Install
Please inform the author.

Except that those are actually there, as directories.  I don't think directories
are supposed to be listed separately in the manifest but I'm not really certain.
 Perhaps it's worth passing that on to upstream.

* source files match upstream:
   a10433ff68b70687bac6832d5814db730147d3dc0cbf3e61c08a0711851c879e  
   Crypt-OpenSSL-X509-0.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   X509.so()(64bit)
   perl(Crypt::OpenSSL::X509) = 0.4
   perl-Crypt-OpenSSL-X509 = 0.4-3.fc7
  =
   libcrypto.so.6()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=10,  0 wallclock secs ( 0.07 cusr +  0.03 csys =  0.10 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

APPROVED
Comment 5 Wes Hardaker 2007-05-31 17:52:30 EDT
FYI, upstream notified.
Comment 6 Wes Hardaker 2007-05-31 17:54:58 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-X509
Short Description: Perl OpenSSL bindings for X509 Support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 
Comment 7 Jason Tibbitts 2007-05-31 19:03:16 EDT
CVS done.  It may take a bit before Koji is syncronized.
Comment 8 Steve Traylen 2010-01-29 09:33:27 EST
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-X509
New Branches: EL-4 EL-5
Owners: stevetraylen
InitialCC: perl-sig


I contacted the package owner over a week requesting the addition
of perl-Crypt-OpenSSL-X509 to EPEL without response.

I would now like to maintain this within EPEL.

 Steve
Comment 9 Wes Hardaker 2010-01-29 16:21:40 EST
I've been swamped for the last week, sorry...

I'd be fine with you taking on the development for EPEL if you like though.
Comment 10 R P Herrold 2010-01-29 17:19:02 EST
This looks like it went into EPEL some time ago ex Fedora

/mnt/nfs/var/ftp/pub/mirror/redhat/rhel/epel/pub/fedora/linux/development/source/SRPMS/perl-Crypt-OpenSSL-X509-0.4-3.fc8.src.rpm

[herrold@centos-5 perl-Crypt-OpenSSL-X509]$ perl-rpmbuild --rebuild perl-Crypt-OpenSSL-X509-0.4-3.fc8.src.rpm
warning: user kojibuilder does not exist - using root
warning: group kojibuilder does not exist - using root
warning: user kojibuilder does not exist - using root
warning: group kojibuilder does not exist - using root
[herrold@centos-5 perl-Crypt-OpenSSL-X509]$       

still builds on centos 5

what is the issue?  was it orphaned out/
Comment 11 Wes Hardaker 2010-01-29 18:47:46 EST
There are simply no build directories for it.

We need something like this done:

New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-X509
Short Description: Perl OpenSSL bindings for X509 Support
Owners: wjhns174@hardakers.net
Branches: EL-4 EL-5
InitialCC:

I think we need a new bug request for it; sigh...  my memory of fedora create-a-new-branch methodology fails me after not having done it for a year (as always).
Comment 12 Steve Traylen 2010-01-30 14:29:57 EST
Don't really understand the history here , for me today its certainly
not in EPEL.

If you can maintain in EPEL that would be great.

I think you want a Package change request rather than new. In fact exactly
the same as what I have in Comment #8 with your user name.

To avoid confusion I will switch the fedora-cvs flag on this bug back
to +. Once you have package change request in then change it to ?
for them to process.

Thanks again for offering to maintain in EPEL. Very useful.

Steve
Comment 13 Steve Traylen 2010-02-13 15:13:10 EST
Hi Wes,

 Can you make the package request and maintain the package? Else I will :-)

Steve
Comment 14 Wes Hardaker 2010-02-16 09:27:50 EST
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-X509
New Branches: EL-4 EL-5
Owners: wjhns174@hardakers.net steve.traylen@cern.ch
Comment 15 Wes Hardaker 2010-02-16 09:29:24 EST
FYI according to the docs the flag needed to be set to ? not + to get it to show up in their queue.
Comment 16 Jason Tibbitts 2010-02-16 10:15:50 EST
Also note that Owners needs to have Fedora account names, not email addresses.  Could you submit a corrected request?
Comment 17 Wes Hardaker 2010-02-16 13:24:03 EST
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-X509
New Branches: EL-4 EL-5
Owners: hardaker
Comment 18 Jason Tibbitts 2010-02-19 13:31:46 EST
CVS done.
Comment 19 Wes Hardaker 2014-09-16 20:11:04 EDT
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-X509
New Branches: epel7
Owners: hardaker

Need to port this package to el7
Comment 20 Jens Petersen 2014-09-17 02:49:25 EDT
Git done (by process-git-requests).

no perl-sig CC?

Note You need to log in before you can comment on or make changes to this bug.